# \nre\coreException

Exception class.

## Summary

Methods
Properties
Constants
__construct()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
concat()
No private properties found
N/A

File
  core/Exception.inc
Package
  Default
Class hierarchy
  \Exception
  \nre\core\Exception

## Tags

author | coderkun olli@coderkun.de

## Methods

### __construct()

    __construct(string  $message, integer  $code, string  $name = null)

Construct a new exception.

#### Parameters

string | $message | Error message
integer | $code | Error code
string | $name | Name to insert

#

## Tags

None found

### concat()

    concat(string  $message, string  $name)

Insert the name in a message

#### Parameters

string | $message | Error message
string | $name | Name to insert

#

## Tags

None found

### Exception.inc